## boost-defaults 1.38.1

=== debian/changelog ===
boost-defaults (1.38.1) unstable; urgency=low

  * control: Change -doc package dependency from libboost1.38-dev to
    libboost1.38-doc.  Closes: #528146.

 -- Steve M. Robbins <smr@debian.org>  Sun, 10 May 2009 22:23:43 -0500

boost-defaults (1.38.0) unstable; urgency=low

  * Initial upload.  Defaults are set to Boost 1.38.0.

 -- Steve M. Robbins <smr@debian.org>  Sat, 09 May 2009 09:27:15 -0500
