=== debian/control ===
Source: boost-defaults
Homepage: http://www.boost.org/
Section: libs
Priority: optional
Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>, Domenico Andreoli <cavok@debian.org>
Build-Depends: cdbs, debhelper (>= 7), libboost1.38-dev (>= 1.38.0-6)
Vcs-Browser: http://svn.debian.org/wsvn/pkg-boost/boost-defaults/trunk/
Vcs-Svn: svn://svn.debian.org/svn/pkg-boost/boost-defaults/trunk
Standards-Version: 3.8.1

Package: libboost-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libboost1.38-dev
Description: Boost C++ Libraries development files (default version)
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.38).

Package: libboost-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libboost1.38-doc
Description: Boost C++ Libraries documentation (default version)
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.38).

Package: libboost-date-time-dev
Homepage: http://www.boost.org/libs/date_time/
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libboost-date-time1.38-dev
Description: date-time libraries based on generic programming (default version)
 This package forms part of the Boost C++ Libraries collection.
 .
 These libraries are intended to make programming with dates and times
 almost as simple and natural as programming with strings and integers.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.38).

Package: libboost-filesystem-dev
Homepage: http://boost.org/libs/filesystem/
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libboost-filesystem1.38-dev
Description: filesystem operations in C++ (default version)
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost Filesystem Library provides portable facilities to query and 
 manipulate paths, files, and directories.  The goal is to
 facilitate portable script-like operations from within C++ programs.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.38).

Package: libboost-graph-dev
Homepage: http://www.boost.org/libs/graph/
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libboost-graph1.38-dev
Description: generic graph components and algorithms in C++ (default version)
 This package forms part of the Boost C++ Libraries collection.
 .
 Graphs are mathematical abstractions that are useful for solving
 many types of problems in computer science. Consequently, these
 abstractions must also be represented in computer programs. A
 standardized generic interface for traversing graphs is of utmost
 importance to encourage reuse of graph algorithms and data structures.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.38).

Package: libboost-iostreams-dev
Homepage: http://www.boost.org/libs/iostreams/
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libboost-iostreams1.38-dev
Description: Boost.Iostreams Library development files (default version)
 This package forms part of the Boost C++ Libraries collection.
 .
 Boost.Iostreams are a collection of concepts and set of templates
 which turn models of these concepts into C++ standard library streams
 and stream buffers.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.38).

Package: libboost-math-dev
Homepage: http://www.boost.org/libs/math/
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libboost-math1.38-dev
Description: Boost.Math Library development files (default version)
 This package forms part of the Boost C++ Libraries collection.
 .
 This library is divided into three interconnected parts:
  * Statistical Distributions: Provides a reasonably comprehensive set of 
    statistical distributions, upon which higher level statistical tests 
    can be built.
  * Mathematical Special Functions: Provides a small number of high quality 
    special functions, initially these were concentrated on functions used in 
    statistical applications along with those in the Technical Report on 
    C++ Library Extensions.
  * Implementation Toolkit: Provides many of the tools required to implement 
    mathematical special functions.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.38).

Package: libboost-mpi-dev
Homepage: http://www.boost.org/doc/html/mpi.html
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libboost-mpi1.38-dev
Description: C++ interface to the Message Passing Interface (MPI) (default version)
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost.MPI library provides a C++ interface to MPI that
 supports modern C++ development styles, including complete support for
 user-defined data types and C++ Standard Library types, arbitrary function
 objects for collective algorithms, and the use of modern C++ library
 techniques to maintain maximal efficiency.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.38).

Package: libboost-program-options-dev
Homepage: http://www.boost.org/libs/program_options/
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libboost-program-options1.38-dev
Description: program options library for C++ (default version)
 This package forms part of the Boost C++ Libraries collection.
 .
 Library to let program developers obtain program options, that is
 (name, value) pairs from the user, via conventional methods such as
 command line and config file.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.38).

Package: libboost-python-dev
Homepage: http://www.boost.org/libs/python/
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libboost-python1.38-dev
Description: Boost.Python Library development files (default version)
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost Python Library is used to quickly and easily export a C++
 library to Python such that the Python interface is very similar to
 the C++ interface. It is designed to be minimally intrusive on your
 C++ design. In most cases, you should not have to alter your C++
 classes in any way in order to use them with Boost.Python.  The
 system should simply "reflect" your C++ classes and functions into
 Python. The major features of Boost.Python include support for:
 Subclassing extension types in Python, Overriding virtual functions
 in Python, Member function Overloading, Automatic wrapping of
 numeric operators among others.
 .
 This package also contains the pyste Boost.Python code generator that
 allows the user to specify classes and functions to be exported using
 a simple interface file, which following the Boost.Python's
 philosophy, is simple Python code.
 .
 This package allows development of a Python interface for all current
 versions of Python in Debian.  Code using this library will need also
 one of the Python development packages.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.38).

Package: libboost-regex-dev
Homepage: http://www.boost.org/libs/regex/
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libboost-regex1.38-dev
Description: regular expression library for C++ (default version)
 This package forms part of the Boost C++ Libraries collection.
 .
 Regular expressions are a form of pattern-matching that are often
 used in text processing; many users will be familiar with the Unix
 utilities grep, sed and awk, and the programming language perl, each
 of which make extensive use of regular expressions. Traditionally C++
 users have been limited to the POSIX C APIs for manipulating regular
 expressions, and while regex does provide these APIs, they do not
 represent the best way to use the library. For example regex can cope
 with wide character strings, or search and replace operations (in a
 manner analogous to either sed or perl), something that traditional C
 libraries can not do.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.38).

Package: libboost-serialization-dev
Homepage: http://www.boost.org/libs/serialization/
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libboost-serialization1.38-dev
Description: serialization library for C++ (default version)
 This package forms part of the Boost C++ Libraries collection,
 containing the following functionalities:
 .
  * proper restoration of pointers to shared data
  * serialization of STL containers and other commonly used templates
  * data portability - streams of bytes created on one platform should
    be readable on any other
  * archive interface must be rich enough to permit the creation of an
    archive that presents serialized data as XML in a useful manner
 .
 Here, "serialization" means the reversible deconstruction of an
 arbitrary set of C++ data structures to a sequence of bytes.
 archive: to refer to a specific rendering of this stream of bytes.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.38).

Package: libboost-signals-dev
Homepage: http://www.boost.org/libs/signals/
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libboost-signals1.38-dev
Description: managed signals and slots library for C++ (default version)
 This package forms part of the Boost C++ Libraries collection.
 .
 Signals represent callbacks with multiple targets, and are also
 called publishers or events in similar systems. Signals are connected
 to some set of slots, which are callback receivers (also called event
 targets or subscribers), which are called when the signal is
 "emitted."
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.38).

Package: libboost-system-dev
Homepage: http://www.boost.org/libs/system/
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libboost-system1.38-dev
Description: Operating system (e.g. diagnostics support) library (default version)
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost System library provides simple, light-weight error_code
 objects that encapsulate system-specific error code values, yet also
 provide access to more abstract and portable error conditions via
 error_condition objects. Because error_code objects can represent
 errors from sources other than the operating system, including
 user-defined sources, each error_code and error_condition has an
 associated error_category.
 .
 This package is a dependency package, which depends on Debian's default
 Boost version (currently 1.38).

Package: libboost-test-dev
Homepage: http://www.boost.org/libs/test/
Architecture: any
Section: libdevel
