## boost-defaults 1.40.0.1

=== debian/changelog ===
boost-defaults (1.40.0.1) unstable; urgency=low

  * Set default Boost to 1.40.0.
  
  * control.in: New package libboost-all-dev.  Closes: #537739.  New
    package libboost-dbg.  Closes: #544185.

 -- Steve M. Robbins <smr@debian.org>  Mon, 21 Sep 2009 22:46:03 -0500

boost-defaults (1.39.2) unstable; urgency=low

  * Last upload was bogus.  This time we really set Boost to version 1.39.

 -- Steve M. Robbins <smr@debian.org>  Tue, 25 Aug 2009 00:51:13 -0500

boost-defaults (1.39.1) unstable; urgency=low

  * Set default Boost to version 1.39.0.

 -- Steve M. Robbins <smr@debian.org>  Tue, 25 Aug 2009 00:35:35 -0500
