=== debian/control ===
--- 
+++ 
@@ -4,15 +4,35 @@
 Priority: optional
 Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>, Domenico Andreoli <cavok@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), libboost1.38-dev (>= 1.38.0-6)
+Build-Depends: cdbs, debhelper (>= 7), libboost1.40-dev (>= 1.40.0)
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-boost/boost-defaults/trunk/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-boost/boost-defaults/trunk
-Standards-Version: 3.8.1
+Standards-Version: 3.8.3.0
+
+Package: libboost-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: libboost-dev (= ${binary:Version}), ${misc:Depends}, libboost1.40-dbg
+Description: Boost C++ Libraries with debug symbols
+ The Boost web site provides free, peer-reviewed, portable C++ source
+ libraries. The emphasis is on libraries which work well with the C++
+ Standard Library. One goal is to establish "existing practice" and
+ provide reference implementations so that the Boost libraries are
+ suitable for eventual standardization. Some of the libraries have
+ already been proposed for inclusion in the C++ Standards Committee's
+ upcoming C++ Standard Library Technical Report.
+ .
+ These libraries are built with debug symbols. They are useful to debug
+ programs which use Boost. These must be used also at build/link time.
+ .
+ This package is a dependency package, which depends on Debian's default
+ Boost version (currently 1.40).
 
 Package: libboost-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost1.38-dev
+Depends: ${misc:Depends}, libboost1.40-dev
 Description: Boost C++ Libraries development files (default version)
  The Boost web site provides free, peer-reviewed, portable C++ source
  libraries. The emphasis is on libraries which work well with the C++
@@ -23,12 +43,31 @@
  upcoming C++ Standard Library Technical Report.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.38).
+ Boost version (currently 1.40).
+
+Package: libboost-all-dev
+Architecture: any
+Section: libdevel
+Depends: ${misc:Depends}, libboost1.40-all-dev
+Description: Boost C++ Libraries development files (ALL, default version)
+ The Boost web site provides free, peer-reviewed, portable C++ source
+ libraries. The emphasis is on libraries which work well with the C++
+ Standard Library. One goal is to establish "existing practice" and
+ provide reference implementations so that the Boost libraries are
+ suitable for eventual standardization. Some of the libraries have
+ already been proposed for inclusion in the C++ Standards Committee's
+ upcoming C++ Standard Library Technical Report.
+ .
+ This package provides the complete Boost development environment,
+ including all separately-packaged libraries.
+ .
+ This package is a dependency package, which depends on Debian's default
+ Boost version (currently 1.40).
 
 Package: libboost-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libboost1.38-doc
+Depends: ${misc:Depends}, libboost1.40-doc
 Description: Boost C++ Libraries documentation (default version)
  The Boost web site provides free, peer-reviewed, portable C++ source
  libraries. The emphasis is on libraries which work well with the C++
@@ -39,13 +78,13 @@
  upcoming C++ Standard Library Technical Report.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.38).
+ Boost version (currently 1.40).
 
 Package: libboost-date-time-dev
 Homepage: http://www.boost.org/libs/date_time/
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost-date-time1.38-dev
+Depends: ${misc:Depends}, libboost-date-time1.40-dev
 Description: date-time libraries based on generic programming (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -53,13 +92,13 @@
  almost as simple and natural as programming with strings and integers.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.38).
+ Boost version (currently 1.40).
 
 Package: libboost-filesystem-dev
 Homepage: http://boost.org/libs/filesystem/
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost-filesystem1.38-dev
+Depends: ${misc:Depends}, libboost-filesystem1.40-dev
 Description: filesystem operations in C++ (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -68,13 +107,13 @@
  facilitate portable script-like operations from within C++ programs.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.38).
+ Boost version (currently 1.40).
 
 Package: libboost-graph-dev
 Homepage: http://www.boost.org/libs/graph/
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost-graph1.38-dev
+Depends: ${misc:Depends}, libboost-graph1.40-dev
 Description: generic graph components and algorithms in C++ (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -85,13 +124,13 @@
  importance to encourage reuse of graph algorithms and data structures.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.38).
+ Boost version (currently 1.40).
 
 Package: libboost-iostreams-dev
 Homepage: http://www.boost.org/libs/iostreams/
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost-iostreams1.38-dev
+Depends: ${misc:Depends}, libboost-iostreams1.40-dev
 Description: Boost.Iostreams Library development files (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -100,13 +139,13 @@
  and stream buffers.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.38).
+ Boost version (currently 1.40).
 
 Package: libboost-math-dev
 Homepage: http://www.boost.org/libs/math/
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost-math1.38-dev
+Depends: ${misc:Depends}, libboost-math1.40-dev
 Description: Boost.Math Library development files (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -122,13 +161,13 @@
     mathematical special functions.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.38).
+ Boost version (currently 1.40).
 
 Package: libboost-mpi-dev
 Homepage: http://www.boost.org/doc/html/mpi.html
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost-mpi1.38-dev
+Depends: ${misc:Depends}, libboost-mpi1.40-dev
 Description: C++ interface to the Message Passing Interface (MPI) (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -139,13 +178,13 @@
  techniques to maintain maximal efficiency.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.38).
+ Boost version (currently 1.40).
 
 Package: libboost-program-options-dev
 Homepage: http://www.boost.org/libs/program_options/
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost-program-options1.38-dev
+Depends: ${misc:Depends}, libboost-program-options1.40-dev
 Description: program options library for C++ (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -154,13 +193,13 @@
  command line and config file.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.38).
+ Boost version (currently 1.40).
 
 Package: libboost-python-dev
 Homepage: http://www.boost.org/libs/python/
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost-python1.38-dev
+Depends: ${misc:Depends}, libboost-python1.40-dev
 Description: Boost.Python Library development files (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -185,13 +224,13 @@
  one of the Python development packages.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.38).
+ Boost version (currently 1.40).
 
 Package: libboost-regex-dev
 Homepage: http://www.boost.org/libs/regex/
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost-regex1.38-dev
+Depends: ${misc:Depends}, libboost-regex1.40-dev
 Description: regular expression library for C++ (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -207,13 +246,13 @@
  libraries can not do.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.38).
+ Boost version (currently 1.40).
 
 Package: libboost-serialization-dev
 Homepage: http://www.boost.org/libs/serialization/
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost-serialization1.38-dev
+Depends: ${misc:Depends}, libboost-serialization1.40-dev
 Description: serialization library for C++ (default version)
  This package forms part of the Boost C++ Libraries collection,
  containing the following functionalities:
@@ -229,46 +268,3 @@
  arbitrary set of C++ data structures to a sequence of bytes.
  archive: to refer to a specific rendering of this stream of bytes.
  .
- This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.38).
-
-Package: libboost-signals-dev
-Homepage: http://www.boost.org/libs/signals/
-Architecture: any
-Section: libdevel
-Depends: ${misc:Depends}, libboost-signals1.38-dev
-Description: managed signals and slots library for C++ (default version)
- This package forms part of the Boost C++ Libraries collection.
- .
- Signals represent callbacks with multiple targets, and are also
- called publishers or events in similar systems. Signals are connected
- to some set of slots, which are callback receivers (also called event
- targets or subscribers), which are called when the signal is
- "emitted."
- .
- This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.38).
-
-Package: libboost-system-dev
-Homepage: http://www.boost.org/libs/system/
-Architecture: any
-Section: libdevel
-Depends: ${misc:Depends}, libboost-system1.38-dev
-Description: Operating system (e.g. diagnostics support) library (default version)
- This package forms part of the Boost C++ Libraries collection.
- .
- The Boost System library provides simple, light-weight error_code
- objects that encapsulate system-specific error code values, yet also
- provide access to more abstract and portable error conditions via
- error_condition objects. Because error_code objects can represent
- errors from sources other than the operating system, including
- user-defined sources, each error_code and error_condition has an
- associated error_category.
- .
- This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.38).
-
-Package: libboost-test-dev
-Homepage: http://www.boost.org/libs/test/
-Architecture: any
-Section: libdevel
