=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
-MAJOR_VER = 1.38
-BUILD_DEP = libboost1.38-dev (>= 1.38.0-6)
+MAJOR_VER = 1.40
+BUILD_DEP = libboost1.40-dev (>= 1.40.0)
 
 
 control-file:
