## boost-defaults 1.42.0.1

=== debian/changelog ===
boost-defaults (1.42.0.1) unstable; urgency=low

  * Set default Boost to 1.42.0.  Closes: #574486.
  
  * control.in: New packages libboost-graph-parallel-dev,
    libboost-mpi-python-dev.  Change libboost-all-dev to depend on all the
    unversioned -dev packages, rather than the versioned -all-dev package.
    Closes: #554410.

 -- Steve M. Robbins <smr@debian.org>  Tue, 20 Apr 2010 21:22:40 -0500
