=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Priority: optional
 Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>, Domenico Andreoli <cavok@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), libboost1.40-dev (>= 1.40.0)
+Build-Depends: cdbs, debhelper (>= 7), libboost1.42-dev (>= 1.42.0)
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-boost/boost-defaults/trunk/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-boost/boost-defaults/trunk
-Standards-Version: 3.8.3.0
+Standards-Version: 3.8.4.0
 
 Package: libboost-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libboost-dev (= ${binary:Version}), ${misc:Depends}, libboost1.40-dbg
+Depends: libboost-dev (= ${binary:Version}), ${misc:Depends}, libboost1.42-dbg
 Description: Boost C++ Libraries with debug symbols
  The Boost web site provides free, peer-reviewed, portable C++ source
  libraries. The emphasis is on libraries which work well with the C++
@@ -27,12 +27,12 @@
  programs which use Boost. These must be used also at build/link time.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.40).
+ Boost version (currently 1.42).
 
 Package: libboost-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost1.40-dev
+Depends: ${misc:Depends}, libboost1.42-dev
 Description: Boost C++ Libraries development files (default version)
  The Boost web site provides free, peer-reviewed, portable C++ source
  libraries. The emphasis is on libraries which work well with the C++
@@ -43,12 +43,30 @@
  upcoming C++ Standard Library Technical Report.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.40).
+ Boost version (currently 1.42).
 
 Package: libboost-all-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost1.40-all-dev
+Depends: ${misc:Depends},
+ libboost-dev,
+ libboost-date-time-dev, 
+ libboost-filesystem-dev, 
+ libboost-graph-dev, 
+ libboost-graph-parallel-dev, 
+ libboost-iostreams-dev, 
+ libboost-math-dev, 
+ libboost-mpi-dev, 
+ libboost-mpi-python-dev, 
+ libboost-program-options-dev, 
+ libboost-python-dev, 
+ libboost-regex-dev, 
+ libboost-serialization-dev, 
+ libboost-signals-dev, 
+ libboost-system-dev, 
+ libboost-test-dev, 
+ libboost-thread-dev, 
+ libboost-wave-dev
 Description: Boost C++ Libraries development files (ALL, default version)
  The Boost web site provides free, peer-reviewed, portable C++ source
  libraries. The emphasis is on libraries which work well with the C++
@@ -62,12 +80,12 @@
  including all separately-packaged libraries.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.40).
+ Boost version (currently 1.42).
 
 Package: libboost-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libboost1.40-doc
+Depends: ${misc:Depends}, libboost1.42-doc
 Description: Boost C++ Libraries documentation (default version)
  The Boost web site provides free, peer-reviewed, portable C++ source
  libraries. The emphasis is on libraries which work well with the C++
@@ -78,13 +96,13 @@
  upcoming C++ Standard Library Technical Report.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.40).
+ Boost version (currently 1.42).
 
 Package: libboost-date-time-dev
 Homepage: http://www.boost.org/libs/date_time/
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost-date-time1.40-dev
+Depends: ${misc:Depends}, libboost-date-time1.42-dev
 Description: date-time libraries based on generic programming (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -92,13 +110,13 @@
  almost as simple and natural as programming with strings and integers.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.40).
+ Boost version (currently 1.42).
 
 Package: libboost-filesystem-dev
 Homepage: http://boost.org/libs/filesystem/
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost-filesystem1.40-dev
+Depends: ${misc:Depends}, libboost-filesystem1.42-dev
 Description: filesystem operations in C++ (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -107,13 +125,13 @@
  facilitate portable script-like operations from within C++ programs.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.40).
+ Boost version (currently 1.42).
 
 Package: libboost-graph-dev
 Homepage: http://www.boost.org/libs/graph/
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost-graph1.40-dev
+Depends: ${misc:Depends}, libboost-graph1.42-dev
 Description: generic graph components and algorithms in C++ (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -124,13 +142,31 @@
  importance to encourage reuse of graph algorithms and data structures.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.40).
+ Boost version (currently 1.42).
+
+Package: libboost-graph-parallel-dev
+Homepage: http://www.boost.org/libs/graph_parallel/
+Architecture: any
+Section: libdevel
+Depends: ${misc:Depends}, libboost-graph-parallel1.42-dev
+Description: generic graph components and algorithms in C++ (default version)
+ This package forms part of the Boost C++ Libraries collection.
+ .
+ The Parallel Boost Graph Library is an extension to the Boost Graph Library
+ (BGL) for parallel and distributed computing. It offers distributed graphs 
+ and graph algorithms to exploit coarse-grained parallelism along with 
+ parallel algorithms that exploit fine-grained parallelism, while retaining 
+ the same interfaces as the (sequential) BGL. Code written using the sequential
+ BGL should be easy to parallelize with the parallel BGL.
+ .
+ This package is a dependency package, which depends on Debian's default
+ Boost version (currently 1.42).
 
 Package: libboost-iostreams-dev
 Homepage: http://www.boost.org/libs/iostreams/
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost-iostreams1.40-dev
+Depends: ${misc:Depends}, libboost-iostreams1.42-dev
 Description: Boost.Iostreams Library development files (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -139,13 +175,13 @@
  and stream buffers.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.40).
+ Boost version (currently 1.42).
 
 Package: libboost-math-dev
 Homepage: http://www.boost.org/libs/math/
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost-math1.40-dev
+Depends: ${misc:Depends}, libboost-math1.42-dev
 Description: Boost.Math Library development files (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -161,13 +197,13 @@
     mathematical special functions.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.40).
+ Boost version (currently 1.42).
 
 Package: libboost-mpi-dev
 Homepage: http://www.boost.org/doc/html/mpi.html
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost-mpi1.40-dev
+Depends: ${misc:Depends}, libboost-mpi1.42-dev
 Description: C++ interface to the Message Passing Interface (MPI) (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -178,13 +214,32 @@
  techniques to maintain maximal efficiency.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.40).
+ Boost version (currently 1.42).
+
+Package: libboost-mpi-python-dev
+Homepage: http://www.boost.org/doc/html/mpi.html
+Architecture: any
+Section: libdevel
+Depends: ${misc:Depends}, libboost-mpi1.42-dev
+Description: Python interface to the Message Passing Interface (MPI) (default version)
+ This package forms part of the Boost C++ Libraries collection.
+ .
+ The Boost.MPI library provides a C++ interface to MPI that
+ supports modern C++ development styles, including complete support for
+ user-defined data types and C++ Standard Library types, arbitrary function
+ objects for collective algorithms, and the use of modern C++ library
+ techniques to maintain maximal efficiency.
+ .
+ This package provides Python Bindings to the C++ interface.
+ .
+ This package is a dependency package, which depends on Debian's default
+ Boost version (currently 1.42).
 
 Package: libboost-program-options-dev
 Homepage: http://www.boost.org/libs/program_options/
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost-program-options1.40-dev
+Depends: ${misc:Depends}, libboost-program-options1.42-dev
 Description: program options library for C++ (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -193,13 +248,13 @@
  command line and config file.
  .
  This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.40).
+ Boost version (currently 1.42).
 
 Package: libboost-python-dev
 Homepage: http://www.boost.org/libs/python/
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libboost-python1.40-dev
+Depends: ${misc:Depends}, libboost-python1.42-dev
 Description: Boost.Python Library development files (default version)
  This package forms part of the Boost C++ Libraries collection.
  .
@@ -221,50 +276,3 @@
  .
  This package allows development of a Python interface for all current
  versions of Python in Debian.  Code using this library will need also
- one of the Python development packages.
- .
- This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.40).
-
-Package: libboost-regex-dev
-Homepage: http://www.boost.org/libs/regex/
-Architecture: any
-Section: libdevel
-Depends: ${misc:Depends}, libboost-regex1.40-dev
-Description: regular expression library for C++ (default version)
- This package forms part of the Boost C++ Libraries collection.
- .
- Regular expressions are a form of pattern-matching that are often
- used in text processing; many users will be familiar with the Unix
- utilities grep, sed and awk, and the programming language perl, each
- of which make extensive use of regular expressions. Traditionally C++
- users have been limited to the POSIX C APIs for manipulating regular
- expressions, and while regex does provide these APIs, they do not
- represent the best way to use the library. For example regex can cope
- with wide character strings, or search and replace operations (in a
- manner analogous to either sed or perl), something that traditional C
- libraries can not do.
- .
- This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.40).
-
-Package: libboost-serialization-dev
-Homepage: http://www.boost.org/libs/serialization/
-Architecture: any
-Section: libdevel
-Depends: ${misc:Depends}, libboost-serialization1.40-dev
-Description: serialization library for C++ (default version)
- This package forms part of the Boost C++ Libraries collection,
- containing the following functionalities:
- .
-  * proper restoration of pointers to shared data
-  * serialization of STL containers and other commonly used templates
-  * data portability - streams of bytes created on one platform should
-    be readable on any other
-  * archive interface must be rich enough to permit the creation of an
-    archive that presents serialized data as XML in a useful manner
- .
- Here, "serialization" means the reversible deconstruction of an
- arbitrary set of C++ data structures to a sequence of bytes.
- archive: to refer to a specific rendering of this stream of bytes.
- .
