## boost-defaults 1.42.0.1ubuntu1

=== debian/changelog ===
boost-defaults (1.42.0.1ubuntu1) maverick; urgency=low

  * debian/control:
    - liboost-all-dev: deleted dependency on the libboost-mpi-dev,
      libboost-mpi-python-dev and libboost-graph-parallel-dev. This packages has
      been deleted from Ubuntu.
    - Deleted libboost-mpi-dev package to be consistent with Ubuntu boost
      package as it has been deleted from there (LP: #531973)
    - Deleted libboost-mpi-python-dev package to be consistent with Ubuntu boost
      package as it has been deleted from there.
    - Deleted libboost-graph-parallel-dev package to be consistent with Ubuntu
      boost package as it has been deleted from there.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 18 May 2010 06:43:52 +0200
