=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Homepage: http://www.boost.org/
 Section: libs
 Priority: optional
-Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>, Domenico Andreoli <cavok@debian.org>
 Build-Depends: cdbs, debhelper (>= 7), libboost1.42-dev (>= 1.42.0)
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-boost/boost-defaults/trunk/
@@ -53,11 +54,8 @@
  libboost-date-time-dev, 
  libboost-filesystem-dev, 
  libboost-graph-dev, 
- libboost-graph-parallel-dev, 
  libboost-iostreams-dev, 
  libboost-math-dev, 
- libboost-mpi-dev, 
- libboost-mpi-python-dev, 
  libboost-program-options-dev, 
  libboost-python-dev, 
  libboost-regex-dev, 
@@ -144,23 +142,6 @@
  This package is a dependency package, which depends on Debian's default
  Boost version (currently 1.42).
 
-Package: libboost-graph-parallel-dev
-Homepage: http://www.boost.org/libs/graph_parallel/
-Architecture: any
-Section: libdevel
-Depends: ${misc:Depends}, libboost-graph-parallel1.42-dev
-Description: generic graph components and algorithms in C++ (default version)
- This package forms part of the Boost C++ Libraries collection.
- .
- The Parallel Boost Graph Library is an extension to the Boost Graph Library
- (BGL) for parallel and distributed computing. It offers distributed graphs 
- and graph algorithms to exploit coarse-grained parallelism along with 
- parallel algorithms that exploit fine-grained parallelism, while retaining 
- the same interfaces as the (sequential) BGL. Code written using the sequential
- BGL should be easy to parallelize with the parallel BGL.
- .
- This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.42).
 
 Package: libboost-iostreams-dev
 Homepage: http://www.boost.org/libs/iostreams/
@@ -199,42 +180,6 @@
  This package is a dependency package, which depends on Debian's default
  Boost version (currently 1.42).
 
-Package: libboost-mpi-dev
-Homepage: http://www.boost.org/doc/html/mpi.html
-Architecture: any
-Section: libdevel
-Depends: ${misc:Depends}, libboost-mpi1.42-dev
-Description: C++ interface to the Message Passing Interface (MPI) (default version)
- This package forms part of the Boost C++ Libraries collection.
- .
- The Boost.MPI library provides a C++ interface to MPI that
- supports modern C++ development styles, including complete support for
- user-defined data types and C++ Standard Library types, arbitrary function
- objects for collective algorithms, and the use of modern C++ library
- techniques to maintain maximal efficiency.
- .
- This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.42).
-
-Package: libboost-mpi-python-dev
-Homepage: http://www.boost.org/doc/html/mpi.html
-Architecture: any
-Section: libdevel
-Depends: ${misc:Depends}, libboost-mpi1.42-dev
-Description: Python interface to the Message Passing Interface (MPI) (default version)
- This package forms part of the Boost C++ Libraries collection.
- .
- The Boost.MPI library provides a C++ interface to MPI that
- supports modern C++ development styles, including complete support for
- user-defined data types and C++ Standard Library types, arbitrary function
- objects for collective algorithms, and the use of modern C++ library
- techniques to maintain maximal efficiency.
- .
- This package provides Python Bindings to the C++ interface.
- .
- This package is a dependency package, which depends on Debian's default
- Boost version (currently 1.42).
-
 Package: libboost-program-options-dev
 Homepage: http://www.boost.org/libs/program_options/
 Architecture: any
@@ -276,3 +221,58 @@
  .
  This package allows development of a Python interface for all current
  versions of Python in Debian.  Code using this library will need also
+ one of the Python development packages.
+ .
+ This package is a dependency package, which depends on Debian's default
+ Boost version (currently 1.42).
+
+Package: libboost-regex-dev
+Homepage: http://www.boost.org/libs/regex/
+Architecture: any
+Section: libdevel
+Depends: ${misc:Depends}, libboost-regex1.42-dev
+Description: regular expression library for C++ (default version)
+ This package forms part of the Boost C++ Libraries collection.
+ .
+ Regular expressions are a form of pattern-matching that are often
+ used in text processing; many users will be familiar with the Unix
+ utilities grep, sed and awk, and the programming language perl, each
+ of which make extensive use of regular expressions. Traditionally C++
+ users have been limited to the POSIX C APIs for manipulating regular
+ expressions, and while regex does provide these APIs, they do not
+ represent the best way to use the library. For example regex can cope
+ with wide character strings, or search and replace operations (in a
+ manner analogous to either sed or perl), something that traditional C
+ libraries can not do.
+ .
+ This package is a dependency package, which depends on Debian's default
+ Boost version (currently 1.42).
+
+Package: libboost-serialization-dev
+Homepage: http://www.boost.org/libs/serialization/
+Architecture: any
+Section: libdevel
+Depends: ${misc:Depends}, libboost-serialization1.42-dev
+Description: serialization library for C++ (default version)
+ This package forms part of the Boost C++ Libraries collection,
+ containing the following functionalities:
+ .
+  * proper restoration of pointers to shared data
+  * serialization of STL containers and other commonly used templates
+  * data portability - streams of bytes created on one platform should
+    be readable on any other
+  * archive interface must be rich enough to permit the creation of an
+    archive that presents serialized data as XML in a useful manner
+ .
+ Here, "serialization" means the reversible deconstruction of an
+ arbitrary set of C++ data structures to a sequence of bytes.
+ archive: to refer to a specific rendering of this stream of bytes.
+ .
+ This package is a dependency package, which depends on Debian's default
+ Boost version (currently 1.42).
+
+Package: libboost-signals-dev
+Homepage: http://www.boost.org/libs/signals/
+Architecture: any
+Section: libdevel
+Depends: ${misc:Depends}, libboost-signals1.42-dev
